import { i18n } from 'FerdaJS/app.config'
import Vue from 'vue'
import Vuetify from 'vuetify/lib'

import AuctionMenuItem from 'ferda_auction/common/AuctionMenuItem.vue'
import { get_auctions_vuetify_options } from 'ferda_auction_js/main.config'

import { i18next } from './main'
import { wait_for_element } from './utils/wait-for-element'

Vue.use(Vuetify)

document.addEventListener('ferda-loaded', async({ detail }) => {
    const permissions = detail.store_getters['general/permissions']
    if (!permissions.includes('ferda_auction.can_view')) {
        return
    }

    // Wait until translations are ready
    await i18next.init()

    const menu = await wait_for_element('.v-navigation-drawer__content > div')
    const auction_item_el = document.createElement('div')
    auction_item_el.setAttribute('id', 'auction-item')
    menu.appendChild(auction_item_el)

    new Vue({
        el: '#auction-item',
        name: 'AuctionMenuItem',
        vuetify: new Vuetify(get_auctions_vuetify_options()),
        i18n,
        render: createElement => createElement(AuctionMenuItem),
    })
})
